1. Card Payments
Monexia Documentation
  • Introduction
  • Definitions
    • Data Types
    • Callbacks Overview
    • Monexia Transactions Response Codes for Payouts
    • MCCMNC Codes
    • API Credentials
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
  • Card Payments
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Account Validation
    • Overview
    • Account Number Validation Request
      POST
    • Find KYC Status by SystemTraceAuditNumber
      GET
    • Account Validation
      POST
    • Find Account Validation Status by SystemTraceAuditNumber
      GET
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check By Currency Code
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
      • Bill Request Payment
      • Find Bill Services
      • Find Bill Number By Service Id and Account Number
      • Find Bill Request By Originator Converstion Id
      • Bill Number Saving
  1. Card Payments

Query Checkout Request

GET
/v1/checkout-order/check-status
This endpoint describes how to query a merchant initiated checkout request.
Used by the merchant to to query the status of a transaction asynchronously.
In the Params, add IdType and Id
IdType is 1 and Id stands for the originatorConversationId

Request

Authorization
Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1/checkout-order/check-status?IdType=1&Id=23a2f157-ec92-4249-8ba5-3fca7de02a08' \
--header 'Content-Type: application/json' \
--data '{}'
Response Response Example
{
    "id": "b20205db-25b2-8da1-9f5d-019f704719f0",
    "originatorConversationId": "23a2f157-ec92-4249-8ba5-3fca7de02a08",
    "conversationId": "01000000-0011-0a00-f429-08dee407d0b9",
    "checkoutId": "f41c99e8-66df-8439-8c90-019f704719f1",
    "checkoutReference": "ORD-CARDS-85c9f4a4-e3e6-4d9d-b036-7550411889ed",
    "checkoutRouteId": "c51f1c8a-fe0b-f111-bc33-0e7d952d79b7",
    "checkoutRouteChannelType": 159,
    "checkoutNotes": "checkout  test",
    "checkoutCurrencyCode": "404",
    "checkoutCurrencyName": "KES",
    "checkoutDueDate": "2026-07-17T00:00:00Z",
    "checkoutReturnUrl": "https://www.merchant.com/",
    "checkoutCancelUrl": "https://checkout.merchant.com/payment/cancel",
    "checkoutCallbackUrl": "https://bright-sparrow-15.webhook.cool",
    "checkoutAccountNo": "00770",
    "checkoutTotalAmount": 10.35,
    "checkoutFeeAmount": 0.00,
    "billToFirstName": null,
    "billToLastName": null,
    "billToAddress1": null,
    "billToLocality": null,
    "billToAdministrativeArea": null,
    "billToPostalCode": null,
    "billToCountry": null,
    "billToEmail": null,
    "billToPhoneNumber": null,
    "checkoutOutcome": {
        "status": 0,
        "statusDesc": "Pending",
        "resultCode": null,
        "resultDesc": null,
        "thirdPartyPayload": {
            "responseCode": null,
            "responseDesc": null,
            "reference": null
        }
    },
    "checkoutRequestLines": [
        {
            "sku": "SKU247",
            "name": "Gas Cooker",
            "price": 10.35
        }
    ]
}
Modified at 2026-07-17 13:37:56
Previous
Checkout Order Request
Next
Checkout Callback Request
Built with